# -*- python -*- 
# $RCSfile: DIR.py,v $
# $Revision: 1.7 $
# $Author: langer $
# $Date: 2005/09/08 18:30:38 $

# This software was produced by NIST, an agency of the U.S. government,
# and by statute is not subject to copyright in the United States.
# Recipients of this software assume all responsibilities associated
# with its operation, modification and maintenance. However, to
# facilitate maintenance we ask that before distributing modifed
# versions of this software, you first contact the authors at
# oof_manager@ctcms.nist.gov. 

dirname = 'GUI'

pyfiles = [
    'activeareaPage.py',
    'activelistparamwidget.py'
    'activityViewer.py',
    'canvasoutput.py',
    'chooser.py',
    'colorparamwidgets.py',
    'console.py',
    'destinationparamwidget.py',
    'displaymethodwidget.py',
    'fileselector.py',
    'fontselector.py',
    'genericselectGUI.py',
    'gfxLabelTree.py',
    'gfxmenu.py',
    'gfxwindow.py',
    'gtkutils.py',
    'historian.py',
    'initialize.py',
    'introPage.py',
    'labelledslider.py',
    'layereditorGUI.py',
    'mainmenuGUI.py',
    'mainthreadGUI.py',
    'matrixparamwidgets.py',
    'microstructurePage.py',
    'mousehandler.py',
    'oofGUI.py',
    'oof_mainiteration.py',
    'outputwidget.py',
    'parameterwidgets.py',
    'pixelPage.py',
    'pixelgroupwidget.py',
    'pixelinfoGUI.py',
    'pixelselecttoolboxGUI.py',
    'progressbarGUI.py',
    'questioner.py',
    'quit.py',
    'regclassfactory.py',
    'reporter_GUI.py',
    'subWindow.py',
    'toolboxGUI.py',
    'tutorialsGUI.py',
    'viewertoolboxGUI.py',
    'whowidget.py',
    'widgetscope.py',
    'workerGUI.py'
 ]

cfiles = [
    'oofcanvas.C',
    'rubberband.C',
    'canvasdot.c',
    'canvastriangle.c',
    'gfxbrushstyle.C'
    ]

swigfiles =[
    'oofcanvas.swg',
    'rubberband.swg',
    'gfxbrushstyle.swg'
    ]

swigpyfiles = [
    'gfxbrushstyle_.py'
    ]

hfiles = [
    'canvasdot.h',
    'canvastriangle.h',
    'oofcanvas.h',
    'rubberband.h',
    'rbstipple.xbm',
    'rbstubble.xbm',
    'gfxbrushstyle.h'
]
