# -*- python -*-
# $RCSfile: petsc_preconditioner_.py,v $
# $Revision: 1.7 $
# $Author: langer $
# $Date: 2005/05/13 18:44:13 $

# This software was produced by NIST, an agency of the U.S. government,
# and by statute is not subject to copyright in the United States.
# Recipients of this software assume all responsibilities associated
# with its operation, modification and maintenance. However, to
# facilitate maintenance we ask that before distributing modified
# versions of this software, you first contact the authors at
# oof_manager@ctcms.nist.gov. 

from oof2.common import cregisteredclass
from oof2.common.IO import parameter
from types import *


cregisteredclass.registerCClass(PETScPreconditionerWrapPtr)


cregisteredclass.Registration(
    "PETSc_ILU",
    PETScPreconditionerWrapPtr,
    PETScILUPreconditioner,
    ordering=100,
    params=[])

cregisteredclass.Registration(
    "PETSc_IC",
    PETScPreconditionerWrapPtr,
    PETScICPreconditioner,
    ordering=200,
    params=[])

cregisteredclass.Registration(
    "PETSc_Null",
    PETScPreconditionerWrapPtr,
    PETScNULLPreconditioner, ordering=300,
    params=[])




